## cyrus-imapd 3.10.1

=== debian/changelog ===
cyrus-imapd (3.10.1-2) unstable; urgency=medium

  * Drop bad autopkgtest dependency to libpcre3-dev (Closes: #1101107)

 -- Yadd <yadd@debian.org>  Sun, 23 Mar 2025 23:20:07 +0100

cyrus-imapd (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1
  * Restrict architecture list to supported platforms (Closes: #1068223)
  * Update copyright

 -- Xavier Guimard <xguimard@linagora.com>  Wed, 22 Jan 2025 07:38:54 +0100

=== debian/control ===
Source: cyrus-imapd
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Anthony Prades <toony.debian@chezouam.net>,
           Yadd <yadd@debian.org>
Section: mail
Priority: optional
Build-Depends: bison,
               comerr-dev,
               debhelper-compat (= 13),
               fig2dev,
               flex,
               ghostscript,
               groff,
               libdkim-dev,
               libical-dev,
               libjansson-dev,
               libclamav-dev,
               libcunit1-dev,
               libkrb5-dev,
               libkvm-dev [kfreebsd-any],
               libldap2-dev,
               libnghttp2-dev,
               libopendkim-dev,
               libpam0g-dev,
               libpod-pom-view-restructured-perl,
               libpcre2-dev,
               libbrotli-dev,
               libpq-dev,
               libsasl2-dev,
               libsasl2-modules,
               libshp-dev,
               libsnmp-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libwrap0-dev,
               libxapian-dev,
               libxml2-dev,
               libzephyr-dev,
               libzstd-dev,
               perl,
               pkgconf,
               po-debconf,
               rsync,
               sqlite3,
               unicode-data,
               xxd,
               xutils-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
Homepage: https://www.cyrusimap.org/
Rules-Requires-Root: no

Package: cyrus-common
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: adduser,
         db-util,
         e2fsprogs,
         default-mta | mail-transport-agent,
         gawk,
         libsasl2-modules,
         netbase,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: cyrus-imapd | cyrus-pop3d | cyrus-murder | cyrus-nntpd | cyrus-admin | cyrus-caldav
Suggests: apt-listchanges,
          cyrus-admin,
          cyrus-caldav,
          cyrus-clients,
          cyrus-doc,
          cyrus-imapd,
          cyrus-murder,
          cyrus-nntpd,
          cyrus-pop3d,
          cyrus-replication,
          sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd and/or cyrus-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication
 can be used to provide server replication between two imap servers.

Package: cyrus-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-imapd
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Pre-Depends: ${misc:Pre-Depends}
Conflicts: imap-server
Provides: imap-server
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-pop3d
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: pop3-server
Provides: pop3-server
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-admin
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: cyrus-common,
         libcyrus-imap-perl (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends}
Suggests: sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-murder
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}),
         cyrus-pop3d (= ${binary:Version}),
         cyrus-clients (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-replication
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}) | cyrus-pop3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-nntpd
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: news-transport-system
Provides: news-transport-system
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-caldav
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-clients
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-dev
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Section: devel
Depends: cyrus-common (= ${binary:Version}),
         libcyrus-imap-perl (>= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: libcyrus-imap-perl
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
Section: perl
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: libterm-readline-gnu-perl
Pre-Depends: ${misc:Pre-Depends}
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common package.

=== debian/tests/control ===
# Tests: cyrus-docker
# Depends: ca-certificates, docker.io
# Restrictions: needs-root

Tests: unit-test
Depends: @, @builddeps@
Restrictions: allow-stderr

Tests: cyrus-no-docker
Depends: cyrus-imapd,
    apt-utils,
    autoconf,
    automake,
    autotools-dev,
    bash-completion,
    bison,
    build-essential,
    check,
    clang,
    cmake,
    comerr-dev,
    cpanminus,
    doxygen,
    debhelper,
    flex,
    g++,
    git,
    gperf,
    graphviz,
    groff,
    texi2html,
    texinfo,
    heimdal-dev,
    help2man,
    libanyevent-perl,
    libbsd-dev,
    libbsd-resource-perl,
    libc6-dev,
    libclone-perl,
    libconfig-inifiles-perl,
    libcunit1-dev,
    libcyrus-imap-perl,
    libdata-visitor-perl,
    libdatetime-perl,
    libdb-dev,
    libdbi-perl,
    libdbm-deep-perl,
    libdeclare-constraints-simple-perl,
    libdevel-findperl-perl,
    libdigest-sha-perl,
    libencode-imaputf7-perl,
    libfile-chdir-perl,
    libfile-slurp-perl,
    libfuture-perl,
    libgetopt-long-descriptive-perl,
    libglib2.0-dev,
    libhook-lexwrap-perl,
    libhttp-daemon-perl,
    libimport-into-perl,
    libio-async-perl,
    libio-socket-inet6-perl,
    libio-string-perl,
    libio-stringy-perl,
    libjson-perl,
    libjson-xs-perl,
    libldap2-dev,
    liblist-someutils-perl,
    libmagic-dev,
    libmilter-dev,
    libmodule-path-perl,
    libmodule-refresh-perl,
    libmoo-perl,
    libmoosex-markasmethods-perl,
    default-libmysqlclient-dev,
    libnet-server-perl,
    libnews-nntpclient-perl,
    libpath-tiny-perl,
    libpam0g-dev,
    libpcre2-dev,
    libperl-prereqscanner-perl,
    libppi-perl,
    libprotocol-websocket-perl,
    libreadonly-perl,
    libsasl2-dev,
    libscope-guard-perl,
    libsnmp-dev,
    libsqlite3-dev,
    libssl-dev,
    libstring-crc32-perl,
    libstring-rewriteprefix-perl,
    libstruct-dumb-perl,
    libsuper-perl,
    libtask-weaken-perl,
    libtest-deep-perl,
    libtest-deep-type-perl,
    libtest-identity-perl,
    libtest-memory-cycle-perl,
    libtest-most-perl,
    libtest-object-perl,
    libtest-refcount-perl,
    libtest-output-perl,
    libtest-subcalls-perl,
    libtest-taint-perl,
    libtest-unit-perl,
    libtool,
    libunix-syslog-perl,
    liburi-perl,
    libxml-generator-perl,
    libxml-xpath-perl,
    libxml2-dev,
    libwrap0-dev,
    libxapian-dev,
    libzephyr-dev,
    lsb-base,
    net-tools,
    pandoc,
    perl,
    php-cli,
    php-curl,
    pkg-config,
    po-debconf,
    rsync,
    sudo,
    tcl-dev,
    transfig,
    unicode-data,
    uuid-dev,
    vim,
    wamerican,
    wget,
    xutils-dev,
    zlib1g-dev
Restrictions: needs-root, allow-stderr, needs-internet, skippable

## cyrus-imapd 3.10.2

=== cassandane/Makefile ===
#
#  Copyright (c) 2011 Opera Software Australia Pty. Ltd.  All rights
#  reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
#  3. The name "Opera Software Australia" must not be used to
#     endorse or promote products derived from this software without
#     prior written permission. For permission or any legal
#     details, please contact
# 	Opera Software Australia Pty. Ltd.
# 	Level 50, 120 Collins St
# 	Melbourne 3000
# 	Victoria
# 	Australia
#
#  4. Redistributions of any form whatsoever must retain the following
#     acknowledgment:
#     "This product includes software developed by Opera Software
#     Australia Pty. Ltd."
#
#  OPERA SOFTWARE AUSTRALIA DISCLAIMS ALL WARRANTIES WITH REGARD TO
#  THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
#  AND FITNESS, IN NO EVENT SHALL OPERA SOFTWARE AUSTRALIA BE LIABLE
#  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
#  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
#  OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

SUBDIRS := utils
PERL := perl

all clean install::
	@for dir in $(SUBDIRS) ; do cd $$dir ; $(MAKE) $@ || exit 1 ; done

all:: syntax

# utils/annotator.pl depends on modules installed with Cyrus, which it
# will only be able to find when invoked by Cyrus::Instance (which sets
# up $PERL5LIB appropriately) or when the system coincidentally also has
# a real Cyrus installation on it.  So we can't rely on it to pass a
# simple 'perl -c' check unless Cyrus is available.
SCRIPTS := $(shell find . -type f -name '*.pl' \
                   | grep -v 'utils\/annotator.pl' | sort)

MODULES := $(shell find . -type f -name '*.pm' | sort)

# define NOCYRUS to skip utils/annotator.pl, allowing the rest of the
# checks to proceed when no Cyrus install exists
ifndef NOCYRUS
    SCRIPTS += $(shell find . -type f -name 'annotator.pl')
    CYRUS_PERL_PATHS := $(shell $(PERL) utils/cyrus-perl-paths.pl)
endif

SYNTAX_rules =

define SYNTAX_template
 $(1)_syntax: $(1)
	@$(PERL) $(CYRUS_PERL_PATHS) -c $(1)
 SYNTAX_rules += $(1)_syntax
endef

$(foreach s,$(SCRIPTS),$(eval $(call SYNTAX_template,$(s))))

$(foreach m,$(MODULES),$(eval $(call SYNTAX_template,$(m))))

syntax: $(SYNTAX_rules)

.PHONY: all syntax $(SYNTAX_rules)

=== debian/changelog ===
cyrus-imapd (3.10.2-1) unstable; urgency=medium

  * New upstream version 3.10.2
  * Add debian/NEWS

 -- Yadd <yadd@debian.org>  Fri, 27 Jun 2025 07:19:23 +0200

cyrus-imapd (3.10.1-3) unstable; urgency=medium

  * Add perl-xs-dev in Build-Depends (Closes: #1102817)

 -- Yadd <yadd@debian.org>  Sat, 12 Apr 2025 20:37:47 +0200

## cyrus-imapd 3.12.1

=== docsrc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
SOURCEDIR     = .
BUILDDIR      = build
PERL2RST      = ../tools/perl2rst

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# User-friendly check for perl2rst
ifeq ($(shell which $(PERL2RST) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(PERL2RST)' command was not found. Make sure you have perl2rst installed, then set the PERL2RST environment variable to point to the full path of the '$(PERL2RST)' script. It relies on Perl module Pod::POM::View::Restructured)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
    
init: ../lib/imapoptions ../perl/imap/IMAP/Shell.pm
	@echo "creating imap/reference/manpages/systemcommands/cyradm.rst"
	$(PERL2RST) cyradm < ../perl/imap/IMAP/Shell.pm > $(SOURCEDIR)/imap/reference/manpages/systemcommands/cyradm.rst
	@echo "creating imap/reference/manpages/usercommands/sieveshell.rst"
	$(PERL2RST) sieveshell < ../perl/sieve/scripts/sieveshell.pl > $(SOURCEDIR)/imap/reference/manpages/usercommands/sieveshell.rst
	@echo "creating imap/reference/manpages/configs/imapd.conf.rst"
	../tools/config2rst ../lib/imapoptions > $(SOURCEDIR)/imap/reference/manpages/configs/imapd.conf.rst

html: init
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: init
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: init
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: init
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: init
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: init
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: init
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CyrusIMAP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CyrusIMAP.qhc"

devhelp: init
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# devhelp"

epub: init
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: init
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: init
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: init
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: init
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: init
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes: init
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: init
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: init
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: init
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: init
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
cyrus-imapd (3.12.1-2) unstable; urgency=medium

  * Drop patch "Normalize-the-authentication-ID" (Closes: #1109297)
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 15 Aug 2025 21:33:30 +0200

cyrus-imapd (3.12.1-1) experimental; urgency=medium

  * New upstream version 3.12.1

 -- Yadd <yadd@debian.org>  Fri, 27 Jun 2025 10:34:45 +0200

cyrus-imapd (3.12.0-2) experimental; urgency=medium

  * Add patch for gcc 15 (Closes: #1096496)

 -- Yadd <yadd@debian.org>  Mon, 26 May 2025 15:12:23 +0200

cyrus-imapd (3.12.0-1) experimental; urgency=medium

  * New upstream version 3.12.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 13 May 2025 13:23:32 +0200

=== debian/control ===
Source: cyrus-imapd
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>
 , Ondřej Surý <ondrej@debian.org>
 , Anthony Prades <toony.debian@chezouam.net>
 , Yadd <yadd@debian.org>
Section: mail
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , bison
 , comerr-dev
 , fig2dev
 , flex
 , ghostscript
 , groff
 , libbrotli-dev
 , libclamav-dev
 , libcunit1-dev
 , libdkim-dev
 , libical-dev
 , libjansson-dev
 , libkrb5-dev
 , libkvm-dev [kfreebsd-any]
 , libldap2-dev
 , libnghttp2-dev
 , libopendkim-dev
 , libpam0g-dev
 , libpcre2-dev
 , libpod-pom-view-restructured-perl
 , libpq-dev
 , libsasl2-dev
 , libsasl2-modules
 , libshp-dev
 , libsnmp-dev
 , libsqlite3-dev
 , libssl-dev
 , libtool
 , libwrap0-dev
 , libxapian-dev
 , libxml2-dev
 , libzephyr-dev
 , libzstd-dev
 , perl
 , perl-xs-dev
 , pkgconf
 , po-debconf
 , rsync
 , sqlite3
 , unicode-data
 , xutils-dev
 , xxd
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
Homepage: https://www.cyrusimap.org/
Rules-Requires-Root: no

Package: cyrus-common
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: adduser
 , db-util
 , default-mta | mail-transport-agent
 , e2fsprogs
 , gawk
 , libsasl2-modules
 , netbase
 , ${misc:Depends}
 , ${perl:Depends}
 , ${shlibs:Depends}
Recommends: cyrus-imapd | cyrus-pop3d | cyrus-murder | cyrus-nntpd | cyrus-admin | cyrus-caldav
Suggests: apt-listchanges
 , cyrus-admin
 , cyrus-caldav
 , cyrus-clients
 , cyrus-doc
 , cyrus-imapd
 , cyrus-murder
 , cyrus-nntpd
 , cyrus-pop3d
 , cyrus-replication
 , sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd and/or cyrus-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication
 can be used to provide server replication between two imap servers.

Package: cyrus-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-imapd
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: cyrus-common (= ${binary:Version})
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: rsync
Pre-Depends: ${misc:Pre-Depends}
Conflicts: imap-server
Provides: imap-server
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-pop3d
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: cyrus-common (= ${binary:Version})
 , ${misc:Depends}
 , ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: pop3-server
Provides: pop3-server
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-admin
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: cyrus-common
 , libcyrus-imap-perl (>= ${binary:Version})
 , ${misc:Depends}
 , ${perl:Depends}
 , ${shlibs:Depends}
Suggests: sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-murder
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: cyrus-clients (= ${binary:Version})
 , cyrus-common (= ${binary:Version})
 , cyrus-imapd (= ${binary:Version})
 , cyrus-pop3d (= ${binary:Version})
 , ${misc:Depends}
 , ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-replication
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: cyrus-common (= ${binary:Version})
 , cyrus-imapd (= ${binary:Version}) | cyrus-pop3d (= ${binary:Version})
 , ${misc:Depends}
 , ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-nntpd
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: cyrus-common (= ${binary:Version})
 , ${misc:Depends}
 , ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: news-transport-system
Provides: news-transport-system
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-caldav
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: cyrus-common (= ${binary:Version})
 , ${misc:Depends}
 , ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-clients
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Depends: ${misc:Depends}
 , ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-dev
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Section: devel
Depends: cyrus-common (= ${binary:Version})
 , libcyrus-imap-perl (>= ${binary:Version})
 , libsasl2-dev
 , ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: libcyrus-imap-perl
Architecture: alpha amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Section: perl
Depends: ${misc:Depends}
 , ${perl:Depends}
 , ${shlibs:Depends}
Recommends: libterm-readline-gnu-perl
Pre-Depends: ${misc:Pre-Depends}
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common package.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for CMU Cyrus IMAP version 2.4
# GNU copyright 1997 by Joey Hess.
# Copyright (c) 2001,2010 by Henrique de Moraes Holschuh
# Published under the GNU GPL license
# Based on previous work by Michael-John Turner <mj@debian.org>,
#			    David Parker <david@neongoat.com>
#

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export _FILE_OFFSET_BITS=64
export _TIME_BITS=64

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

export DOCPKG=cyrus-doc
export TMPPKG := $(CURDIR)/debian/tmp
export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)

export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
export PERL_MM_OPT              = INSTALLDIRS="vendor" CCFLAGS="$(dpkg-buildflags --get CFLAGS)" LDDLFLAGS="$(dpkg-buildflags --get LDFLAGS)"

include /usr/share/dpkg/architecture.mk

# Extra version information to add to Cyrus IMAPd ID
EXTRA_IDENT := Debian-$(DEB_VERSION)

# DB engine version
export BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
DBENGINE := BerkeleyDB$(BDB_VERSION)

CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

MAN1 := imtest installsieve lmtptest mupdatetest nntptest \
	pop3test sieveshell sivtest smtptest httptest \
	dav_reconstruct synctest

MAN8 := master reconstruct quota deliver \
	mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	tls_prune ipurge cvt_cyrusdb chk_cyrus arbitron \
	cyr_expire unexpunge sync_client sync_reset cyr_synclog \
	cyr_dbtool cyr_df ctl_zoneinfo cyr_deny cyr_info \
	fetchnews fud httpd idled imapd lmtpd mbexamine nntpd \
	notifyd pop3d smmapd sync_server timsieved \
	cyr_buildinfo mbtool restore backupd \
	cvt_xlist_specialuse cyr_ls cyr_userseen cyradm cyrdump \
	lmtpproxyd mupdate pop3proxyd promstatsd proxyd ptdump \
	ptexpire ptloader relocate_by_id sievec sieved

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	 $(CONFFLAGS) \
	 --with-extraident=$(EXTRA_IDENT) \
	 --includedir=/usr/include \
	 --datadir=/usr/share/cyrus \
	 --sharedstatedir=/usr/share/cyrus \
	 --localstatedir=/var/lib/cyrus \
	 --libexecdir=/usr/lib/cyrus/bin \
	 --bindir=/usr/lib/cyrus/bin \
	 --sbindir=/usr/lib/cyrus/bin \
	 --disable-silent-rules \
	 --disable-pcre \
	 --enable-autocreate \
	 --enable-idled \
	 --enable-nntp \
	 --enable-murder \
	 --enable-http \
	 --enable-jmap \
	 --enable-pcre2 \
	 --enable-replication \
	 --enable-xapian \
	 --enable-backup \
	 --enable-calalarmd \
	 --enable-unit-tests \
	 --enable-gssapi="/usr" \
	 --with-cyrus-user=cyrus --with-cyrus-group=mail \
	 --with-pgsql \
	 --with-pgsql-incdir=/usr/include/postgresql \
	 --with-lock=fcntl \
	 --with-ldap \
	 --with-krb \
	 --with-krbimpl=mit \
	 --without-krbdes \
	 --with-openssl \
	 --with-zlib \
	 --with-libcap \
	 --with-pidfile=/run/cyrus-master.pid \
	 --with-com_err="" \
	 --with-syslogfacility=MAIL \
	 --with-gss_impl=mit \
	 --with-sasl \
	 --with-perl=/usr/bin/perl
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep '^ac_cs_config=' config.status \
	| sed -e 's/^ac_cs_config="/configure /;s/"$$//' \
	| perl -pe 's#\Q'`pwd`'\E#BUILD_PATH#g'
		>> debian/README.configure-options

execute_after_dh_auto_build:

# store database configuration for possible automatic
# upgrading later
	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
	grep '_db"' lib/imapoptions \
	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \
	>>debian/cyrus-db-types.txt
	mv debian/cyrus-db-types.txt debian/cyrus-db-types.txt.old \
	&& sort -u < debian/cyrus-db-types.txt.old > debian/cyrus-db-types.txt \
	&& rm debian/cyrus-db-types.txt.old

# store some useful state about the current package
	echo "PACKAGE_VERSION $(DEB_VERSION)" >debian/cyrus-hardwired-config.txt
	if grep -q -s -n -E '^[[:space:]]*#define[[:space:]]+USE_DIR_FULL[[:space:]]+1' config.h ; then \
		echo "USE_DIR_FULL 1" >>debian/cyrus-hardwired-config.txt ;\
	else \
		echo "USE_DIR_FULL 0" >>debian/cyrus-hardwired-config.txt ;\
	fi

# former build-indep
	cd doc &&\
	pod2man ../perl/sieve/scripts/sieveshell.pl > ../man/sieveshell.1 &&\
	fig2dev -L png legacy/murder.fig murder.png &&\
	rm -f groff-html-*.png pod2htm*
	cd doc &&\
	mkdir -p man &&\
	for man in ../man/*.[1-9] ../debian/*.[1-9]; do \
	   echo "Generating html manpage for $$man..."; \
	   groff -man -Thtml $$man > man/`basename $$man`.html; \
	done
	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
	rm -f pod2htm*

execute_after_dh_auto_install:

	# install the cyrus tool
	install -d -m 755 $(TMPPKG)/usr/sbin
	install -m 755 debian/cyrus $(TMPPKG)/usr/sbin

	# for stuff in /etc
	install -d -m 755 $(TMPPKG)/etc/cyrus $(TMPPKG)/etc/pam.d
	install -m 644 debian/imapd.conf $(TMPPKG)/etc
	install -m 644 debian/cyrus.conf $(TMPPKG)/etc
	(cd debian ; for i in *.pam ;\
		do install -m 644 $$i $(TMPPKG)/etc/pam.d/$${i%.pam} ;\
	done)

	# Install cyradm icons
	install -d -m 755 $(TMPPKG)/usr/share/icons/mini
	install -m 644 debian/cyradm-32x32.xpm $(TMPPKG)/usr/share/icons/cyradm.xpm
	install -m 644 debian/cyradm-16x16.xpm $(TMPPKG)/usr/share/icons/mini/cyradm.xpm

	# Install debian-provided scripts
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/bin/
	install debian/cyrus-makedirs $(TMPPKG)/usr/lib/cyrus/bin/makedirs
	install -m 755 debian/cyrus-upgrade-db $(TMPPKG)/usr/lib/cyrus/bin/upgrade-db
	install -m 644 debian/get-backtrace.gdb $(TMPPKG)/usr/lib/cyrus/get-backtrace.gdb

	# and logcheck files
	install -d -m 755 $(TMPPKG)/etc/logcheck/ignore.d.server/ $(TMPPKG)/etc/logcheck/violations.ignore.d/
	install -m 644 debian/logcheck.ignore $(TMPPKG)/etc/logcheck/ignore.d.server/cyrus-imapd
	install -m 644 debian/logcheck.violations.ignore $(TMPPKG)/etc/logcheck/violations.ignore.d/cyrus-imapd

	# And other upgrade helpers
	install -m 644 debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt \
		   $(TMPPKG)/usr/lib/cyrus

	# Move all manpages under cyrus- namespace
	install -m 644 debian/cyrus-makedirs.8 debian/cyrus-arbitronsort.8 debian/cyrus-dump.8 \
		$(TMPPKG)/usr/share/man/man8/

	# Prefix all manpages for cyrus binaries to cyrus-$1
	for i in $(MAN1); do \
	  mv $(TMPPKG)/usr/share/man/man1/$$i.1 $(TMPPKG)/usr/share/man/man1/cyrus-$$i.1; \
	done

	for i in $(MAN8); do \
	  mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyrus-$${i}.8 ; \
	done

	# Install the stuff needed for upgrades
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/upgrade
	for i in rehash translatesieve masssievec; do \
	  install -m 755 tools/$$i $(TMPPKG)/usr/lib/cyrus/upgrade ;\
	done

	# And other misc useful tools
	install -m 755 tools/arbitronsort.pl $(TMPPKG)/usr/lib/cyrus/bin/arbitronsort

	# Install the html docs and examples
	install -d -m 755 $(DOCDIR)/html
	install -m 644 doc/legacy/*.html doc/murder.png $(DOCDIR)/html
	cp -a doc/man $(DOCDIR)/html
	cp -a debian/examples $(DOCDIR)
	install -m 644 contrib/cyrusv2.mc $(DOCDIR)/examples
	#
	# Install contrib/ files
	install -d -m 755 $(DOCDIR)/contrib
	xargs < debian/cyrus-common.contrib -rti cp -r '{}' $(DOCDIR)/contrib

	# Remove some stuff we don't install
	rm $(TMPPKG)/usr/lib/cyrus/bin/*proxyd

execute_after_dh_install:
	rm -f `cat debian/h-to-drop|sed -e 's/^\/*/debian\/\*\//'`

override_dh_installinit:
	dh_installinit -p cyrus-common --name=cyrus-imapd

override_dh_installchangelogs:
	dh_installchangelogs \
	  -p cyrus-common -p cyrus-doc -p cyrus-clients \

=== debian/tests/control ===
Tests: unit-test
Depends: @, @builddeps@
Restrictions: allow-stderr

Tests: cyrus-no-docker
Depends: apt-utils
 , autoconf
 , automake
 , autotools-dev
 , bash-completion
 , bison
 , build-essential
 , check
 , clang
 , cmake
 , comerr-dev
 , cpanminus
 , cyrus-imapd
 , debhelper
 , default-libmysqlclient-dev
 , doxygen
 , flex
 , g++
 , git
 , gperf
 , graphviz
 , groff
 , heimdal-dev
 , help2man
 , libanyevent-perl
 , libbsd-dev
 , libbsd-resource-perl
 , libc6-dev
 , libclone-perl
 , libconfig-inifiles-perl
 , libcunit1-dev
 , libcyrus-imap-perl
 , libdata-visitor-perl
 , libdatetime-perl
 , libdb-dev
 , libdbi-perl
 , libdbm-deep-perl
 , libdeclare-constraints-simple-perl
 , libdevel-findperl-perl
 , libdigest-sha-perl
 , libencode-imaputf7-perl
 , libfile-chdir-perl
 , libfile-slurp-perl
 , libfuture-perl
 , libgetopt-long-descriptive-perl
 , libglib2.0-dev
 , libhook-lexwrap-perl
 , libhttp-daemon-perl
 , libimport-into-perl
 , libio-async-perl
 , libio-socket-inet6-perl
 , libio-string-perl
 , libio-stringy-perl
 , libjson-perl
 , libjson-xs-perl
 , libldap2-dev
 , liblist-someutils-perl
 , libmagic-dev
 , libmilter-dev
 , libmodule-path-perl
 , libmodule-refresh-perl
 , libmoo-perl
 , libmoosex-markasmethods-perl
 , libnet-server-perl
 , libnews-nntpclient-perl
 , libpam0g-dev
 , libpath-tiny-perl
 , libpcre2-dev
 , libperl-prereqscanner-perl
 , libppi-perl
 , libprotocol-websocket-perl
 , libreadonly-perl
 , libsasl2-dev
 , libscope-guard-perl
 , libsnmp-dev
 , libsqlite3-dev
 , libssl-dev
 , libstring-crc32-perl
 , libstring-rewriteprefix-perl
 , libstruct-dumb-perl
 , libsuper-perl
 , libtask-weaken-perl
 , libtest-deep-perl
 , libtest-deep-type-perl
 , libtest-identity-perl
 , libtest-memory-cycle-perl
 , libtest-most-perl
 , libtest-object-perl
 , libtest-output-perl
 , libtest-refcount-perl
 , libtest-subcalls-perl
 , libtest-taint-perl
 , libtest-unit-perl
 , libtool
 , libunix-syslog-perl
 , liburi-perl
 , libwrap0-dev
 , libxapian-dev
 , libxml-generator-perl
 , libxml-xpath-perl
 , libxml2-dev
 , libzephyr-dev
 , lsb-base
 , net-tools
 , pandoc
 , perl
 , php-cli
 , php-curl
 , pkg-config
 , po-debconf
 , rsync
 , sudo
 , tcl-dev
 , texi2html
 , texinfo
 , transfig
 , unicode-data
 , uuid-dev
 , vim
 , wamerican
 , wget
 , xutils-dev
 , zlib1g-dev
Restrictions: needs-root, allow-stderr, needs-internet, skippable

=== debian/watch ===
version=4
opts=\
searchmode=plain,\
uversionmangle=s/-((?:beta|rc)\d*)/~$1/,\
pgpsigurlmangle=s/$/.sig/ \
  https://api.github.com/repos/cyrusimap/cyrus-imapd/releases \
  https://github.com/cyrusimap/cyrus-imapd/releases/download/cyrus-imapd-\d[\d\.]+(?:-(?:beta|rc)\d*)?/cyrus-imapd-@ANY_VERSION@@ARCHIVE_EXT@
